gnutls_init(3)

NAME
gnutls_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_init(gnutls_session_t * session, gnutls_connection_end_t con_end);

ARGUMENTS

gnutls_session_t * session
    is a pointer to a gnutls_session_t structure.

gnutls_connection_end_t con_end
    indicate if this session is to be used for server or client.

DESCRIPTION
This function initializes the current session to null. Every session must be initialized before use, so internal structures can be allocated. This function allocates structures which can only be free'd by calling gnutls_deinit(). Returns zero on success.

con_end can be one of GNUTLS_CLIENT and GNUTLS_SERVER.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.